RedBoot User's Guide
Prev |  | Next

# baudrate

## Name

baudrate -- Set the baud rate for the system serial console

## Synopsis

baudrate [-b`rate`]

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
-b `rate` | Number | The baud rate to use for the serial console. | none

## Description

The baudrate command sets the baud rate for the system serial console.

If no value is provided, then the current value of the console baud rate is displayed.

If the system supports non-volatile configuration data via the fconfig command (see the Section called Persistent State Flash-based Configuration and Control in Chapter 2), then the value will be saved and used when the system is reset.

## Examples

Show the current baud rate.

    RedBoot> baudrate
    Baud rate = 38400

Change the console baud rate. In order to make this operation safer, there will be a slight pause after the first message to give you time to change to the new baud rate. If it doesn't work, or a less than affirmative answer is given to the "continue" prompt, then the baud rate will revert to the current value. Only after the baud rate has been firmly established will RedBoot give you an opportunity to save the value in persistent storage.

    RedBoot> baudrate -b 57600
    Baud rate will be changed to 57600 - update your settings
    Device baud rate changed at this point
    Baud rate changed to 57600 - continue (y/n)? y
    Update RedBoot non-volatile configuration - continue (y/n)? n

Prev | Home | Next
alias | Up | cache